Description

This request is to implement, with existing functionality, a simple Voting system for redmine.org by hacking/reusing/abusing the

Watchers functionality.

In vanilla Redmine, there is a Watcher's section in the sidebar that has the Watcher count for the issue, in addition to listing all the

Watchers.  However, it is controlled by the View Watchers permission.

Watchers (2)

Jane Doe

John Doe

 This proposal is to expose the Watcher Count.

Here are two possible implementations.

1. Always display the Watchers (X) header.

2. Add the Watcher Count to the Watch/Unwatch "button".

1. This would be great to have on other objects such as Wiki pages, Forum messages, etc.

To make it available beyond redmine.org, displaying the Watcher Count could be controlled with a new permission - View watcher

count.

PS:  Not sure whether to categorize this under "Issues" as the idea applies to other Redmien objects, especially Plugins on

redmine.org.

Related Features

Feature #1011 - Add voting to tickets

Feature #6945 - Add a voting system to help users help admins identify popular features/defects

Related issues:

Related to Redmine - Feature #1011: Add voting to tickets New 2008-04-07

Related to Redmine - Feature #6945: Add a voting system to help users help ad... New 2010-11-19

Related to Redmine - Feature #37973: Enable to display watches count on issue... New

History

#1 - 2014-07-20 18:13 - Toshi MARUYAMA

- Category set to Website (redmine.org)

#2 - 2014-07-20 18:15 - Toshi MARUYAMA

- Related to Feature #1011: Add voting to tickets added

#3 - 2014-07-20 18:15 - Toshi MARUYAMA

- Related to Feature #6945: Add a voting system to help users help admins identify popular features/defects added

#4 - 2018-01-01 17:15 - @ go2null

For issues, it would also be great if the Watcher Count could be added to the Issues list, thus allowing easy sorting.
https://www.redmine.org/issues/1011
https://www.redmine.org/issues/6945


#5 - 2018-01-01 17:16 - @ go2null

See Redmine.org tickets vote count list(2019/12/22) which has a manually curated list, where this functionality would make such a list trivial.

#6 - 2023-01-04 05:42 - Go MAEDA

- Related to Feature #37973: Enable to display watches count on issues list added
